package com.css.simulation.resource.server.app.service.job_manage;

import api.common.pojo.common.ResponseBodyVO;
import api.common.pojo.param.group.SimulationMageGroupParam;
import api.common.pojo.po.group.SimulationMageGroupPO;
import com.github.pagehelper.PageInfo;

import java.util.List;

public interface SimulationMageGroupService {
    ResponseBodyVO<List<SimulationMageGroupPO>> selectAllSimulationMageGroupList(SimulationMageGroupParam param);

    ResponseBodyVO<PageInfo<SimulationMageGroupPO>> selectSimulationMageGroupList(SimulationMageGroupParam param);

    ResponseBodyVO<SimulationMageGroupPO> getSimulationMageGroup(SimulationMageGroupParam param);

    ResponseBodyVO updateSimulationMageGroup(SimulationMageGroupParam param);

    ResponseBodyVO deleteSimulationMageGroup(List<SimulationMageGroupParam> param);

    ResponseBodyVO addSimulationMageGroup(SimulationMageGroupParam param);

}
